Browse files

change how we deal with gems and shit

  • Loading branch information...
1 parent a12f4d2 commit cbf6fbb087b58c8f21c6bd7b1cb18d0a3aedf65a @jamesgolick jamesgolick committed Sep 14, 2012
Showing with 50 additions and 58 deletions.
  1. +3 −5 Gemfile
  2. +22 −8 Gemfile.lock
  3. +3 −0 lib/rollout/version.rb
  4. +22 −45 rollout.gemspec
View
8 Gemfile
@@ -1,5 +1,3 @@
-gem "rspec"
-gem "rake"
-gem "bourne"
-gem "mocha"
-gem "redis"
+source :rubygems
+
+gemspec
View
30 Gemfile.lock
@@ -1,9 +1,22 @@
+PATH
+ remote: .
+ specs:
+ rollout (1.2.0)
+ redis
+
GEM
+ remote: http://rubygems.org/
specs:
- bourne (1.0.1)
- mocha (= 0.9.12)
+ bourne (1.0)
+ mocha (= 0.9.8)
diff-lcs (1.1.3)
- mocha (0.9.12)
+ git (1.2.5)
+ jeweler (1.6.4)
+ bundler (~> 1.0)
+ git (>= 1.2.5)
+ rake
+ mocha (0.9.8)
+ rake
rake (0.9.2.2)
redis (2.2.2)
rspec (2.10.0)
@@ -19,8 +32,9 @@ PLATFORMS
ruby
DEPENDENCIES
- bourne
- mocha
- rake
- redis
- rspec
+ bourne (= 1.0)
+ bundler (>= 1.0.0)
+ jeweler (~> 1.6.4)
+ mocha (= 0.9.8)
+ rollout!
+ rspec (~> 2.10.0)
View
3 lib/rollout/version.rb
@@ -0,0 +1,3 @@
+class Rollout
+ VERSION = "1.2.0"
+end
View
67 rollout.gemspec
@@ -1,54 +1,31 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "rollout/version"
Gem::Specification.new do |s|
s.name = "rollout"
- s.version = "1.1.0"
-
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.version = Rollout::VERSION
s.authors = ["James Golick"]
- s.date = "2012-02-20"
- s.description = "Conditionally roll out features with redis."
- s.email = "jamesgoick@gmail.com"
- s.extra_rdoc_files = [
- "LICENSE",
- "README.rdoc"
- ]
- s.files = [
- ".document",
- "LICENSE",
- "README.rdoc",
- "Rakefile",
- "VERSION",
- "lib/rollout.rb",
- "rollout.gemspec",
- "spec/rollout_spec.rb",
- "spec/spec.opts",
- "spec/spec_helper.rb"
- ]
- s.homepage = "http://github.com/jamesgolick/rollout"
+ s.email = ["jamesgolick@gmail.com"]
+ s.description = "Feature flippers with redis."
+ s.summary = "Feature flippers with redis."
+ s.homepage = "https://github.com/jamesgolick/rollout"
+
s.require_paths = ["lib"]
- s.rubygems_version = "1.8.10"
- s.summary = "Conditionally roll out features with redis."
- if s.respond_to? :specification_version then
- s.specification_version = 3
+ s.rubyforge_project = "rollout"
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_development_dependency(%q<rspec>, ["= 1.2.9"])
- s.add_development_dependency(%q<bourne>, ["= 1.0.0"])
- s.add_development_dependency(%q<redis>, ["= 0.1"])
- else
- s.add_dependency(%q<rspec>, ["= 1.2.9"])
- s.add_dependency(%q<bourne>, ["= 1.0.0"])
- s.add_dependency(%q<redis>, ["= 0.1"])
- end
- else
- s.add_dependency(%q<rspec>, ["= 1.2.9"])
- s.add_dependency(%q<bourne>, ["= 1.0.0"])
- s.add_dependency(%q<redis>, ["= 0.1"])
- end
-end
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+ s.require_paths = ["lib"]
+
+ # specify any dependencies here; for example:
+ s.add_development_dependency "rspec", "~> 2.10.0"
+ s.add_development_dependency "bundler", ">= 1.0.0"
+ s.add_development_dependency "jeweler", "~> 1.6.4"
+ s.add_development_dependency "bourne", "1.0"
+ s.add_development_dependency "mocha", "0.9.8"
+ s.add_runtime_dependency "redis"
+end

0 comments on commit cbf6fbb

Please sign in to comment.